OMV4 unmet dependencies

    • OMV 4.x
    • Update
    • OMV4 unmet dependencies

      I used to run kernel 4.18 and after a downgrade to Proxmox 4.15 and re-set to 4.18, I am having problems booting properly. I think the package dependencies are mixed up.
      The OMV GUI is not accessible but I can SSH into the box.
      Omv-firstaid does not work.
      omv-update does not work either.

      What can I do ?


      root@openmediavault:~# dpkg -l | grep openm
      rc openmediavault 4.1.12 all openmediavault - The open network attached storage solution
      rc openmediavault-diskstats 4.0.2-1 all OpenMediaVault disk monitoring plugin
      rc openmediavault-downloader 3.6.2 all OpenMediaVault downloader plugin
      rc openmediavault-flashmemory 4.1 all folder2ram plugin for OpenMediaVault
      ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      rc openmediavault-omvextrasorg 4.1.11 all OMV-Extras.org Package Repositories for OpenMediaVault
      rc openmediavault-openvpn 4.0.1 all OpenVPN plugin for OpenMediaVault.
      rc openmediavault-resetperms 3.3 all Reset Permissions
      rc openmediavault-shellinabox 3.4 all Web-based SSH client.
      rc openmediavault-virtualbox 4.1.1 all VirtualBox plugin for OpenMediaVault.
      rc openmediavault-zfs 4.0.4 amd64 OpenMediaVault plugin for ZFS

      The post was edited 1 time, last by MarcS ().

    • MarcS wrote:

      What can I do ?
      The 'rc' status of most of your packages means you uninstalled OMV. You can try reinstalling the package and plugins.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Thank you. I reinstalled everything and systems is stable. But when I press Check under Plugins I get this error. Any idea what I need to do?

      Many thanks

      Error #0:OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; apt-get update 2>&1' with exit code '100': Get:1 file:/var/cache/openmediavault/archives InReleaseIgn:1 file:/var/cache/openmediavault/archives InReleaseGet:2 file:/var/cache/openmediavault/archives ReleaseIgn:2 file:/var/cache/openmediavault/archives ReleaseGet:3 file:/var/cache/openmediavault/archives PackagesIgn:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enGet:3 file:/var/cache/openmediavault/archives PackagesIgn:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enGet:3 file:/var/cache/openmediavault/archives PackagesIgn:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enGet:3 file:/var/cache/openmediavault/archives PackagesIgn:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enGet:3 file:/var/cache/openmediavault/archives PackagesIgn:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enGet:3 file:/var/cache/openmediavault/archives PackagesGet:4 file:/var/cache/openmediavault/archives Translation-enIgn:4 file:/var/cache/openmediavault/archives Translation-enIgn:5 ftp.uk.debian.org/debian stretch InReleaseHit:6 ftp.uk.debian.org/debian stretch-updates InReleaseHit:7 packages.openmediavault.org/public arrakis InReleaseHit:8 ftp.uk.debian.org/debian stretch ReleaseIgn:9 downloads.plex.tv/repo/deb ./public InReleaseHit:10 downloads.plex.tv/repo/deb ./public ReleaseHit:11 openmediavault.github.io/packages arrakis InReleaseIgn:12 dl.bintray.com/openmediavault-plugin-developers/arrakis stretch InReleaseHit:13 download.docker.com/linux/debian stretch InReleaseIgn:14 dl.bintray.com/openmediavault-plugin-developers/arrakis-plex stretch InReleaseIgn:15 dl.bintray.com/openmediavault-…developers/arrakis-docker stretch InReleaseGet:16 dl.bintray.com/openmediavault-plugin-developers/arrakis stretch Release [4389 B]Hit:16 dl.bintray.com/openmediavault-plugin-developers/arrakis stretch ReleaseGet:17 security.debian.org/debian-security stretch/updates InRelease [94.3 kB]Get:18 dl.bintray.com/openmediavault-plugin-developers/arrakis-plex stretch Release [3540 B]Hit:18 dl.bintray.com/openmediavault-plugin-developers/arrakis-plex stretch ReleaseGet:21 dl.bintray.com/openmediavault-…developers/arrakis-docker stretch Release [3540 B]Hit:21 dl.bintray.com/openmediavault-…developers/arrakis-docker stretch ReleaseHit:25 download.proxmox.com/debian stretch InReleaseAppStream system cache was updated, but problems were found: Metadata files have errors: /var/lib/app-info/yaml/ftp.uk.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gzFetched 94.3 kB in 2s (43.1 kB/s)Reading package lists...E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi'E: Sub-process returned an error code in /usr/share/openmediavault/engined/rpc/apt.inc:220Stack trace:#0 /usr/share/php/openmediavault/rpc/serviceabstract.inc(565): OMVRpcServiceApt->{closure}('/tmp/bgstatusDz...', '/tmp/bgoutputIz...')#1 /usr/share/openmediavault/engined/rpc/apt.inc(224): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))#2 [internal function]: OMVRpcServiceApt->update(NULL, Array)#3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)#4 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('update', NULL, Array)#5 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Apt', 'update', NULL, Array, 1)#6 {main}
    • Hello - thanks for the tip. So I ran that and everything runs fine until Get49, where this error occurs:

      Get:49 ftp.uk.debian.org/debian stretch/main amd64 DEP-11 Metadata [3066 kB]
      Fetched 24.0 MB in 8s (2782 kB/s)
      AppStream system cache was updated, but problems were found: Metadata files have errors: /var/lib/app-info/yaml/ftp.uk.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz
      Reading package lists... Done
      E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi'
      E: Sub-process returned an error code
    • MarcS wrote:

      /var/lib/app-info/yaml/ftp.uk.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz
      rm /var/lib/app-info/yaml/ftp.uk.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz
      then apt clean again.
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • HI. I tried that a few times but when I run omv-aptclean it keeps breaking at the same file.


      AppStream system cache was updated, but problems were found: Metadata files have errors: /var/lib/app-info/yaml/ftp.uk.debian.org_debian_dists_stretch_main_dep11_Components-amd64.yml.gz
      Reading package lists... Done
      E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi'
      E: Sub-process returned an error code
    • MarcS wrote:

      HI. I tried that a few times but when I run omv-aptclean it keeps breaking at the same file.
      I don't know why you have appstream installed (I really hope you don't have a desktop environment installed) but I would remove it
      omv 4.1.22 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.15
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!